function comp_nov28_13(ex,NTRIALS)
%input:
%   ex              : example
%   NTRIALS         : no. of trials
%   start           : starting point for computing the estimated AR coeff.
%   folder_name     : folder for the results produced by criteri.m
%   dump_file       : .mat for the results produced by comp_nov28_13


n=4000; %sample size
%Allocate memory
cBIC = zeros(3,n);
cAIC = zeros(3,n);
cPDC = zeros(3,n);
cSNML = zeros(3,n);
cSDNML1 = zeros(3,n);
cSDNML2 = zeros(3,n);
labels = {'BIC','AIC','PDC','SNML','SDNML1','SDNML2'};
if (ex==31) || (ex==32),
    cPDCmod = zeros(3,n);
    cSNMLmod = zeros(3,n);
    cSDNML1mod = zeros(3,n);
    cSDNML2mod = zeros(3,n);
    labels = {'BIC','AIC','PDC','SNML','SDNML1','SDNML2','PDCmod','SNMLmod','SDNML1mod','SDNML2mod'};
end

folder_name = strcat('trials_ex', num2str(ex));
fprintf('\n');
for tr=1:NTRIALS,
    %mark on the screen the current trial
    if rem(tr,100)==0,
        fprintf('.');
        if rem(tr,1000)==0,
            fprintf('\n');
        end
    end
    if tr==NTRIALS,
        fprintf('\n');
    end
    %load the variables that are necessary in calculations
    fname = strcat(folder_name,'\trial_',num2str(tr));
    eval(['load ' fname ' ;']);
    for ll=1:length(labels),
        itc = char(labels(ll));
        eval(['[under,equal,over] = count(k' itc ',true_order);' ]);
        eval(['c' itc ' = c' itc '+[under; equal; over];' ]);
    end
end %trial

dump_file = strcat('dump_file_ex',num2str(ex));
if (ex==31) || (ex==32),
    eval('save(dump_file,''m'',''true_order'',''cBIC'',''cAIC'',''cPDC'',''cSNML'',''cSDNML1'',''cSDNML2'',''cPDCmod'',''cSNMLmod'',''cSDNML1mod'',''cSDNML2mod'');');
else
    eval('save(dump_file,''m'',''true_order'',''cBIC'',''cAIC'',''cPDC'',''cSNML'',''cSDNML1'',''cSDNML2'');');
end

%-------------------------------------------------------
function [under,equal,over] = count(kcrit,true_order)
under = zeros(size(kcrit));equal = under;over = under;
ff= (kcrit<true_order);
under(ff) = 1;
ff= (kcrit==true_order);
equal(ff) = 1;
ff= (kcrit>true_order);
over(ff) = 1;
