function draw_Fig2
%Produces Fig. 2

labels = {'BIC','AIC','PDC','SNML','SDNML1','SDNML2'};
load dump_file_ex21
start = m+1;
NTRIALS = sum(cBIC(:,end));
n = length(cBIC(1,:));

fig=figure;
set(fig,'defaulttextinterpreter','latex');
%First column
subplot(6,2,1);
dn = cBIC(2,start:end)/NTRIALS;
plot((start:n),dn,'b-','LineWidth',1.5);
ylim([0 1]);
ylabel('$P_c(\mbox{BIC}_\lambda)$','FontSize',10);
grid
title('$\mbox{\bf Example}\ \mbox{\bf 2(a)}$','FontSize',14);

for ll=2:length(labels),
    itc = char(labels(ll));
    dn = eval(['( c' itc '(2,start:end)-cBIC(2,start:end) )./NTRIALS;' ]);
    if ll==2,
         yl = {'$P_c(\mbox{AIC}_\lambda)$';'$-P_c(\mbox{BIC}_\lambda)$'};
    elseif ll==3,
         yl = {'$P_c(\mbox{PDC}_\lambda)$';'$-P_c(\mbox{BIC}_\lambda)$'};
    elseif ll==4,
         yl = {'$$P_c(\mbox{SNML}_\lambda)$';'$-P_c(\mbox{BIC}_\lambda)$'};
    elseif ll==5,
         yl = {'$P_c(\mbox{SDNML}^{[1]}_\lambda)$';'$-P_c(\mbox{BIC}_\lambda)$'};
    elseif ll==6,
         yl = {'$P_c(\mbox{SDNML}^{[2]}_\lambda)$';'$-P_c(\mbox{BIC}_\lambda)$'};
    else
    end
    draw(start,n,dn,(2*ll-1),yl,min(dn),max(dn));  
end


%Second column
load dump_file_ex22
start = m+1;
NTRIALS = sum(cBIC(:,end));
n = length(cBIC(1,:));

subplot(6,2,2);
dn = cBIC(2,start:end)/NTRIALS;
plot((start:n),dn,'b-','LineWidth',1.5);
ylim([0 1]);
grid
title('$\mbox{\bf Example}\ \mbox{\bf 2(b)}$','FontSize',14);

for ll=2:length(labels),
    itc = char(labels(ll));
    dn = eval(['( c' itc '(2,start:end)-cBIC(2,start:end) )./NTRIALS;' ]);
    draw(start,n,dn,(2*ll),[],min(dn),max(dn));  
end


    


