function draw_Fig3
%Produces Fig. 3

close all

labels = {'BIC','AIC','PDC','SNML','SDNML1','SDNML2','PDCmod','SNMLmod','SDNML1mod','SDNML2mod'};
load dump_file_ex31
start = m+1;
NTRIALS = sum(cBIC(:,end));
n = length(cBIC(1,:));

fig=figure;
set(fig,'defaulttextinterpreter','latex');
%First column
subplot(6,2,1);
dn = cBIC(2,start:end)/NTRIALS;
plot((start:n),dn,'b-','LineWidth',1.5);
ylim([min(dn) max(dn)]);
ylabel('$P_c(\mbox{BIC}_\lambda)$','FontSize',10);
grid
title('$\mbox{\bf Example}\ \mbox{\bf 3(a)}$','FontSize',14);


for ll=2:6,
    itc = char(labels(ll));
    dn = eval(['( c' itc '(2,start:end)-cBIC(2,start:end) )./NTRIALS;' ]);
    if ll==2,
         yl = {'$P_c(\mbox{AIC}_\lambda)$';'$-P_c(\mbox{BIC}_\lambda)$'};
    elseif ll==3,
         yl = {'$P_c(\mbox{PDC}_\lambda)$';'$-P_c(\mbox{BIC}_\lambda)$'};
    elseif ll==4,
         yl = {'$$P_c(\mbox{SNML}_\lambda)$';'$-P_c(\mbox{BIC}_\lambda)$'};
    elseif ll==5,
         yl = {'$P_c(\mbox{SDNML}^{[1]}_\lambda)$';'$-P_c(\mbox{BIC}_\lambda)$'};
    elseif ll==6,
         yl = {'$P_c(\mbox{SDNML}^{[2]}_\lambda)$';'$-P_c(\mbox{BIC}_\lambda)$'};
    else
    end
    draw(start,n,dn,(2*ll-1),yl,min(dn),max(dn));  
end

%Second column
subplot(6,2,2);
dn = cBIC(2,start:end)/NTRIALS;
plot((start:n),dn,'b-','LineWidth',1.5);
ylim([min(dn) max(dn)]);
ylabel('$P_c(\mbox{BIC}_\lambda)$','FontSize',10);
grid
title('$\mbox{\bf Example}\ \mbox{\bf 3(b)}$','FontSize',14);

dn = (cAIC(2,start:end)-cBIC(2,start:end))/NTRIALS;
yl = {'$P_c(\mbox{AIC}_\lambda)$';'$-P_c(\mbox{BIC}_\lambda)$'};
draw(start,n,dn,4,yl,min(dn),max(dn));

for ll=7:10,
    itc = char(labels(ll));
    dn = eval(['( c' itc '(2,start:end)-cBIC(2,start:end) )./NTRIALS;' ]);
    if ll==7,
         index = 6;
         yl = {'$P_c(\overline{\mbox{PDC}}_{\lambda})$';'$-P_c(\mbox{BIC}_\lambda)$'};
    elseif ll==8,
         index = 8;
         yl = {'$P_c(\overline{\mbox{SNML}}_\lambda)$';'$-\mbox{P}_c(\mbox{BIC}_\lambda)$'};
    elseif ll==9,
         index = 10;
         yl = {'$P_c(\overline{\mbox{SDNML}}_{\lambda}^{[1]})$';'$-P_c(\mbox{BIC}_\lambda)$'};
    elseif ll==10,
         index = 12;
         yl = {'$P_c(\overline{\mbox{SDNML}}_{\lambda}^{[2]})$';'$-P_c(\mbox{BIC}_\lambda)$'};
    else
    end
    draw(start,n,dn,index,yl,min(dn),max(dn));  
end


% %-------------------------------------------------------
% function draw(start,n,dn,index,yl,mm,MM)
% 
% subplot(6,2,index);
% h=plot((start:n),zeros(size((start:n))),'r-',(start:n),dn,'k-');
% set(h(2),'linewidth',1.5);
% set(h(1),'linewidth',1.2);
% ylim([mm MM]);
% grid        
% if (index==11) || (index==12), 
%     xlabel('Time','FontSize',12);
% end
% ylabel(yl,'FontSize',10);

