function draw_Fig4
%Produces Fig. 4

load dump_file_ex32
start = m+1;
NTRIALS = sum(cBIC(:,end));
n = length(cBIC(1,:));

fig=figure;
set(fig,'defaulttextinterpreter','latex');
%First column
subplot(2,2,1);
dn = cBIC(2,start:end)/NTRIALS;
plot((start:n),dn,'b-','LineWidth',1.5);
ylim([min(dn) max(dn)]);
ylabel('$P_c(\mbox{BIC}_\lambda)$','FontSize',12);
grid
title('$\mbox{\bf Example}\ \mbox{\bf 3(c)}$','FontSize',14);

dn = (cPDC(2,start:end)-cBIC(2,start:end))/NTRIALS;
yl = strcat('$P_c(\mbox{PDC}_\lambda)-P_c(\mbox{BIC}_\lambda)$');
draw(start,n,dn,3,yl,min(dn),max(dn));

%Second column
subplot(2,2,2);
dn = cBIC(2,start:end)/NTRIALS;
plot((start:n),dn,'b-','LineWidth',1.5);
ylim([min(dn) max(dn)]);
ylabel('$P_c(\mbox{BIC}_\lambda)$','FontSize',12);
grid
title('$\mbox{\bf Example}\ \mbox{\bf 3(d)}$','FontSize',14);

dn = (cPDCmod(2,start:end)-cBIC(2,start:end))/NTRIALS;
yl = strcat('${\mathrm{P}_c(\overline{\mathrm{PDC}}_{\lambda})-\mathrm{P}_c(\mathrm{BIC}_\lambda)}$');
draw(start,n,dn,4,yl,min(dn),max(dn));

%-------------------------------------------------------
function draw(start,n,dn,index,yl,mm,MM)

subplot(2,2,index);
h=plot((start:n),zeros(size((start:n))),'r-',(start:n),dn,'k-');
set(h(2),'linewidth',1.5);
set(h(1),'linewidth',1.2);
ylim([mm MM]);
grid        
if (index==3) || (index==4), 
    xlabel('$\mathrm{Time}$','FontSize',12);
end
ylabel(yl,'FontSize',12);

